--- title: "Reset account password" slug: "analytics-vpcsearchengine-cluster-resetsearchengineuserpassword" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-cluster-resetsearchengineuserpassword" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Reset account password Available in VPC Reset the search engine admin account's password. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/cluster/resetSearchEngineUserPassword/{serviceGroupInstanceNo} (Korea Region) | | POST | /api/sgn-v2/cluster/resetSearchEngineUserPassword/{serviceGroupInstanceNo} (Singapore Region) | | POST | /api/jpn-v2/cluster/resetSearchEngineUserPassword/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `searchEngineUserPassword` | String | Required | New password - Enter 8 to 20 characters using a combination of English letters, numbers, and special characters. - Unusable special characters: ', ", `, ₩, /, &, space | ### Request example The request example is as follows: ``` curl --location --request POST 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/resetSearchEngineUserPassword/1037****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "searchEngineUserPassword": "test12345!@#" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Boolean | - | Response result - `true` \| `null` - `true`: succeeded - `null`: failed | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": true, "requestId": "5f29a414-****-****-****-df2139b30c9c" } ```